IARRAY_COMPARE_GRIDS_2D(3)

EXPERIMENTAL_FUNC
iarray_compare_grids_2D - Compare if two image slices have the same world co-ordinate grid.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_compare_grids_2D

(iarray array1, unsigned int hdim1, unsigned int vdim1, iarray array2, unsigned int hdim2, unsigned int vdim2, flag *same)

DESCRIPTION
Compare if two image slices have the same world co-ordinate grid.

array1
    The array containing the first image slice.

hdim1
    The horizontal dimension of the first image slice.

vdim1
    The vertical dimension of the first image slice.

array2
    The array containing the second image slice.

hdim2
    The horizontal dimension of the second image slice.

vdim2
    The vertical dimension of the second image slice.

same
    TRUE is written here if the grids are the same, else FALSE is written here.

RETURN VALUE
TRUE on success, else FALSE, indicating that comparison failed.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/